// File: BowlFramePanel.java
// Panel extension to hold the shots (TextFields) 
//	and frame total (Label) for display/input

import java.awt.*;
import java.awt.event.*;

public class BowlFrame10Panel extends Panel /*implements ActionListener */{

 public TextField[] Shot;
 public Label RunningTotal;
 public Label[] ShotText;

 public BowlFrame10Panel()
 {BowlFramePanelConstruct();
 }
 
 public void BowlFramePanelConstruct()
 {setLayout(new BorderLayout());
  this.setBackground(Color.lightGray);

  Shot=new TextField[3];
  Shot[0]=new TextField();
  Shot[0].setText("");
  Shot[0].setSize(15,10);
  Shot[0].setEnabled(false);
  Shot[0].setEditable(false);
  Shot[0].setBackground(Color.white);
  add("West",Shot[0]);
  
  Shot[1]=new TextField();
  Shot[1].setText("");
  Shot[1].setSize(15,10);
  Shot[1].setEnabled(false);
  Shot[1].setEditable(false);
  Shot[1].setBackground(Color.white);
  add("Center",Shot[1]);
  
  Shot[2]=new TextField();
  Shot[2].setText("");
  Shot[2].setSize(15,10);
  Shot[2].setEnabled(false);
  Shot[2].setEditable(false);
  Shot[2].setBackground(Color.white);
  add("East",Shot[2]);

  RunningTotal=new Label("");
  add("South",RunningTotal);
 }
 
 public boolean isStrike()
 {return(Shot[0].getText().equals("X"));}

 public boolean isSpare()
 {return(getShot(1)+getShot(2)==10);}

 public int getShot(int num)
 {switch (num) {
	case 1:if (Shot[0].getText().equals("X"))
			   return(10);
		   return(Integer.valueOf(Shot[0].getText()).intValue());
	case 2:if (Shot[1].getText().equals("/"))
			   return(10-getShot(1));
		   else if (Shot[1].getText().equals("X"))
			   return(10);
		   return(Integer.valueOf(Shot[1].getText()).intValue());
    case 3:if (Shot[2].getText().equals("X"))
			   return(10);
		   else if (Shot[2].getText().equals(""))
			   return(0);
		   return(Integer.valueOf(Shot[2].getText()).intValue());
  }
  return(0);
 }

 void TextFieldToLabel(int shotNum)
 {remove(Shot[shotNum-1]);
  switch (shotNum) {
  case 1:add("West",new Label(Shot[shotNum-1].getText())); 
		break;
  case 2:add("Center",new Label(Shot[shotNum-1].getText()));
		break;
  case 3:add("East",new Label(Shot[shotNum-1].getText()));
  }
} 
 
 public int getPins()
 {return(getShot(1)+getShot(2)+getShot(3));
 }

}